=== debian/changelog ===
ligolo-mp (2.0.1-0kali2) kali-dev; urgency=medium

  * Restrict build to 64 bit

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 25 Jul 2025 15:37:38 +0200

ligolo-mp (2.0.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegria <daniruiz@kali.org>  Mon, 30 Jun 2025 16:22:40 +0200
