=== debian/changelog ===
ligolo-mp (2.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.0

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 10:33:11 +0200
