=== debian/control ===
Source: ligolo-mp
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 curl,
 debhelper-compat (= 13),
 golang-go,
 zip,
Standards-Version: 4.7.2
Homepage: https://github.com/ttpreport/ligolo-mp
Vcs-Browser: https://gitlab.com/kalilinux/packages/ligolo-mp
Vcs-Git: https://gitlab.com/kalilinux/packages/ligolo-mp.git

Package: ligolo-mp
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Multiplayer pivoting solution
 Ligolo-MP is an advanced version of Ligolo-ng, with client-server
 architecture, enabling pentesters to play with multiple concurrent tunnels
 collaboratively. It manages all your TUNs automatically, while also providing
 a clean GUI to track everything.
