=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/build
export GOPATH=$(CURDIR)/build

%:
	dh $@

override_dh_auto_build:
	make build

override_dh_auto_install:

override_dh_dwz:
