=== debian/tests/control ===
Test-Command: ligolo-mp --help && ligolo-mp-client --help
Restrictions: superficial, allow-stderr
