=== debian/watch ===
version=4
https://github.com/ttpreport/ligolo-mp/tags .*/v?(\d.*)@ARCHIVE_EXT@
